Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155280 - xscreensaver not started in console session when vncserver running
Summary: xscreensaver not started in console session when vncserver running
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-18 19:04 UTC by Alastair Neil
Modified: 2008-02-08 03:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 03:10:42 UTC


Attachments (Terms of Use)

Description Alastair Neil 2005-04-18 19:04:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
when vncserver is running the vnc session gets xscreensaver started correctly, however the same user logging into the console does not.  My guess is that gnome-session is perfomring a simple minded check to see if xscreensaver is 
running an simply not starting it if it sees a prcess owned by the same user.  A work around is to explicitly add xscreensaver to you session with the session editor.

Version-Release number of selected component (if applicable):
gnome-session-2.8.0-4

How reproducible:
Always

Steps to Reproduce:
1. boot system with vncsever enabled
2. login at console

  

Actual Results:  no xscreensaver daemon running

Expected Results:  xscreensaver daemon should be started

Additional info:

Comment 1 Ray Strode [halfline] 2005-04-18 19:15:56 UTC
Your guess sounds plausible.  It would be gnome-settings-daemon not
gnome-session, though.  If that is the case, the fix will probably be to just
not do the check because xscreensaver already does it when it starts.

Comment 2 Matthew Miller 2006-07-10 20:12:19 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 petrosyan 2008-02-08 03:10:42 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.